---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ai-ingress
spec:
  ingressClassName: nginx
  # Remove TLS for dev
  tls: []
  rules:
  - host: dexorder.local
    http:
      paths:
      # Web application at root
      - path: /
        pathType: Prefix
        backend:
          service:
            name: ai-web
            port:
              number: 5173
